import networkx as nx
from agent import Agent

def generate_agents(population,edges): #住人(agent)の作成
    network=nx.barabasi_albert_graph(population,edges) #barabasi-albertモデルによるネットワークグラフ
    agents=[Agent() for agent_id in range(population)]
    for agent_id,agent in enumerate(agents):
        agent.neighbors_id=list(network[agent_id]) #隣人のリスト

    return agents