
import tkinter as tk
import main

def pushed(b):
    term=int(txt_term.get())
    population=int(txt_pop.get())
    beta=float(txt_beta.get())
    duration=int(txt_duration.get())
    incubation_period=int(txt_incubation_period.get())
    initial_carriers=int(txt_initial_carriers.get())
    vaccination=float(txt_vaccination.get())
    reinfection_rate=float(txt_reinfection_rate.get())
    edges=int(txt_edges.get())
    infection_rate=float(txt_infection_rate.get())
    bool1=bln.get()
    print("Simulation is started.")
    main.run(term,beta,population,duration,incubation_period,initial_carriers,vaccination,reinfection_rate,edges,infection_rate,bool1)

root=tk.Tk()

root.title("感染シミュレーション")
root.geometry("510x380")
label_term=tk.Label(root,text="期間")
label_term.place(x=30,y=30)
txt_term=tk.Entry(width=15)
txt_term.place(x=30,y=50)
label_pop=tk.Label(root,text="人口")
label_pop.place(x=200,y=30)
txt_pop=tk.Entry(width=15)
txt_pop.place(x=200,y=50)
label_edges=tk.Label(root,text="エッジ数")
label_edges.place(x=370,y=30)
txt_edges=tk.Entry(width=15)
txt_edges.insert(tk.END,"3")
txt_edges.place(x=370,y=50)
label_initial_carriers=tk.Label(root,text="初期感染者数")
label_initial_carriers.place(x=30,y=100)
txt_initial_carriers=tk.Entry(width=15)
txt_initial_carriers.place(x=30,y=120)
label_incubation_period=tk.Label(root,text="潜伏期間")
label_incubation_period.place(x=200,y=100)
txt_incubation_period=tk.Entry(width=15)
txt_incubation_period.place(x=200,y=120)
label_duration=tk.Label(root,text="罹患期間")
label_duration.place(x=370,y=100)
txt_duration=tk.Entry(width=15)
txt_duration.place(x=370,y=120)
label_beta=tk.Label(root,text="感染率(潜伏期間中)")
label_beta.place(x=30,y=170)
txt_beta=tk.Entry(width=15)
txt_beta.place(x=30,y=190)
label_infection_rate=tk.Label(root,text="感染率(発症中)")
label_infection_rate.place(x=200,y=170)
txt_infection_rate=tk.Entry(width=15)
txt_infection_rate.place(x=200,y=190)
label_reinfection_rate=tk.Label(root,text="再感染率")
label_reinfection_rate.place(x=370,y=170)
txt_reinfection_rate=tk.Entry(width=15)
txt_reinfection_rate.place(x=370,y=190)
label_vaccination=tk.Label(root,text="予防接種率")
label_vaccination.place(x=30,y=240)
txt_vaccination=tk.Entry(width=15)
txt_vaccination.place(x=30,y=260)
bln=tk.BooleanVar()
bln.set(False)
chk=tk.Checkbutton(root,variable=bln,text="2次元表示にする")
chk.place(x=370,y=240)

button=tk.Button(root,text="シミュレート開始",command=lambda:pushed(button))
button.place(x=370,y=300)

root.mainloop()